### Function Macro

# Gtk widget_class_bind_template_callback

since: 4.0

#### Declaration [src]

    #define gtk_widget_class_bind_template_callback (
      widget_class,
      callback
    )

#### Description [src]

Binds a callback function defined in a template to the `widget_class`.

This macro is a convenience wrapper around the `gtk_widget_class_bind_template_callback_full()` function. It is not supported after `gtk_widget_class_set_template_scope()` has been used on `widget_class`.

Available since: 4.0

This function is not directly available to language bindings.

#### Parameters

`widget_class`

  Type: `-`

  A `GtkWidgetClass`

`callback`

  Type: `-`

  The callback symbol.